// pages/person/person.js
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },
  ktVIP(){
    wx.navigateTo({
      url: '/pages/openVip/openVip',
    })
  },
  goLeft(){
    wx.navigateTo({
      url: '/pages/MyAchievements/MyAchievements',
    }) 
  },
  goRight(){
    wx.navigateTo({
      url: '/pages/myNeeds/myNeeds',
    })
  },
  goInfo(){
    wx.navigateTo({
      url: '/pages/personInformation/personInformation',
    })
  },
  goContract(){
    wx.navigateTo({
      url: '/pages/myContract/myContract',
    })
  },
  exit(){
    wx.showModal({
      showCancel: false,
      content: "退出登录成功"
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})